Bug 1975137 - Sync ironic containers with latest ironic code
Summary: Sync ironic containers with latest ironic code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.z
Assignee: Riccardo Pittau
QA Contact: Lubov
URL:
Whiteboard:
Depends On: 1975133
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-23 07:47 UTC by Riccardo Pittau
Modified: 2021-08-16 18:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-16 18:32:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 187 0 None open Bug 1975137: [4.8] Sync image with the latest ironic code 2021-06-29 12:55:06 UTC
Red Hat Product Errata RHBA-2021:3121 0 None None None 2021-08-16 18:32:25 UTC

Description Riccardo Pittau 2021-06-23 07:47:33 UTC
This is to include some recent bugfixes, for example:

https://opendev.org/openstack/ironic/commit/48cedc067a2436f60de10bb9cdfb1e29f57928ee
https://opendev.org/openstack/ironic/commit/ff05ba063e8842e4de97f908eed5a9e90239f1a5
https://opendev.org/openstack/ironic/commit/4037ae147af3b3b9a1a2e732a6e4ea732e2f51fc

We should include at least the package version 17.0.3-0.20210622161212.48cedc0.el8

Comment 2 Lubov 2021-08-09 13:05:34 UTC
verified on 4.8.0-0.nightly-2021-08-05-031749

[kni@provisionhost-0-0 ~]$ oc exec -it metal3-cd8ff4489-x59xb -c metal3-ironic-api -- bash
[root@master-0-2 /]# rpm -qa|grep api
openstack-ironic-api-17.0.4-0.20210713221218.a415e7e.el8.noarch
[root@master-0-2 /]# rpm -qa|grep conductor
openstack-ironic-conductor-17.0.4-0.20210713221218.a415e7e.el8.noarch

Comment 5 errata-xmlrpc 2021-08-16 18:32:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.5 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3121


Note You need to log in before you can comment on or make changes to this bug.